Subject: DLUR stuff #2 (item 8345)

From: [email-masked]
Date: Tue, 30 Apr 96 13:20:57 EST

I've gone over the AIW10 APPN Reference SIG minutes regarding DLUR
proposals I submitted, and here's where my level of understanding of
the discussion in San Jose stands:

2) item 8345 - DLUR handling Locates with OCR on while LU or CP-SVR
               pipe is inactive

   a) item 8345 directs the DLUR to register LUs with the NNS(DLUR)
      before they are active

        a clarification is needed in section 11.3.4.4 to indicate that
        this is true only if the LU name is defined at the DLUR and
        registered with the DLUS (using the LU name definition function
        alluded to at AIW8 but not yet submitted - got some new formats
        to document first); otherwise the DLUR must wait to receive the
        LU name on the ACTLU request, after which it may register the
        LU with the NNS(DLUR)

   b) there was confusion over the conditions that a Locate with OCR
      on could be received for an inactive LU

        a clarification is needed in sections 11.3.5.1.1 and 11.3.5.2.1
        to indicate that an OCR Locate is only sent for an LU for which
        the DLUS has an active SSCP-LU session; before the Locate
        arrives the CP-SVR pipe goes down, ending the SSCP-LU session

   c) there was a proposal to add a recommendation that the DLUR
      register multiple LUs at a time, and

        a clarification is needed in section 11.3.4.4 to recommend that
        a DLUR register multiple DLUS-served LUs at the same time

   d) there was a proposal to add a recommendation that the DLUR
      not invalidate its cache when an LU is deactivated via DACTLU

        not sure what to do about this one:

           i) it seems like a clarification may be needed in section
              11.3.4.4 to indicate that a DLUR should not send a
              Delete Resource (X'12C9') GDS variable when a DLUS-served
              LU is deactivated, whether by DACTLU or a failure of the
              pipe or downstream link; the LU registration should only
              be deleted when the LU is no longer associated with the
              the DLUR

          ii) if i) makes sense, then maybe invalidating cache follows
              the same rules - don't invalidate for DACTLU or failures,
              only when the LU is no longer associated with the DLUR

         iii) question: how do you know when an inactive dynamic LU is
              now on a different DLUR - if this can't be detected, how
              can a DLUR implement i) or ii)?

Comments?

Ed Tremblay

P.S. I'll be out of the office most of the next three weeks, so I won't
     jump into the discussion much until the end of May.